jQuery(document).ready(function($) {  
	
	var appealsForm	 	= $('#pttm-appeals-form');
	// - !!! Корявый выход из положения - Сделать раздельную загрузку ресурсов
	if(appealsForm.attr('class') == 'pttm-appeals-form'){
	
	var postBlock	 	= $('#post-address-block');
	
	var ansOnEmail	 	= $('#plugin-pttm-appeals-form-answer_on_email');
	var ansOnPost	 	= $('#plugin-pttm-appeals-form-answer_on_post');
	var ansOnSite	 	= $('#plugin-pttm-appeals-form-answer_on_site');
	
	var postZipCode		= $('#plugin-pttm-appeals-form-post_zip_code');
	var postCountry		= $('#plugin-pttm-appeals-form-post_country');
	var postRegion	 	= $('#plugin-pttm-appeals-form-post_region');
	var postSubRegion	= $('#plugin-pttm-appeals-form-post_subregion');
	var postCity	 	= $('#plugin-pttm-appeals-form-post_city');
	var postStreet	 	= $('#plugin-pttm-appeals-form-post_street');
	
	var familyName		= $('#plugin-pttm-appeals-form-family_name');
	var firstName	 	= $('#plugin-pttm-appeals-form-first_name');
	var phone			= $('#plugin-pttm-appeals-form-phone');
	var email			= $('#plugin-pttm-appeals-form-email');
	
	var appealText		= $('#plugin-pttm-appeals-form-appeal_text');
	
	var appealAttachments = $('#plugin-pttm-appeals-form-files');
	
	var symbolCounter	= $('#symbol-counter strong');
	
	// Счетчик символов
	function symbolCount(){
		
		symbolCounter.text( 2000 - appealText.val().length );
		
		if( appealText.val().length > 2000 ){
			appealText.siblings('label').children('.we-need-it').text('Слишком длинное сообщение. Ограничение 2000 символов');
			appealText.parent().addClass('error');
			validError = true;
		}else{
			appealText.siblings('label').children('.we-need-it').text('Обязательно для заполнения');
			appealText.parent().removeClass('error');
		}
		
	}
	appealText.keyup( symbolCount );
	symbolCount();
	
	// Прячем/открываем почтовый блок	
	function hidePostBlock () {
		if(ansOnPost.attr('checked') == 'checked'){
			postBlock.show();
		}else{
			postBlock.hide();
		}		
	}
	ansOnPost.change( hidePostBlock );
	hidePostBlock();
	
	//alert($('#plugin-pttm-appeals-form-post_zip_code').siblings('.we-need-it').html());
	//alert($('#plugin-pttm-appeals-form-post_country').val());
	// Запрещаем ввод города, если выбраны Москва, Питер или Байконур
	function chngRegion () {
		if( postCountry.val() != 'RU' || ( postRegion.val() != 'г. Москва' && postRegion.val() != 'г. Санкт-Петербург' && postRegion.val() != 'г. Байконур' ) ){
			//postCity.removeAttr('disabled');
			postCity.parent().show();
			postCity.siblings('.we-need-it').text('Обязательно для заполнения');
		}else{
			//postCity.attr('disabled','disabled');
			postCity.parent().hide();
			postCity.siblings('.we-need-it').text('');
			postCity.parent().removeClass('error');
		}
	}
	postRegion.change( chngRegion );
	chngRegion();
	
	
	// Запрещаем ввод области, если выбрана не Россия
	function chngCountry () {
		if( postCountry.val() == 'RU' ){
			//postRegion.removeAttr('disabled');
			postRegion.parent().show();
			postRegion.siblings('.we-need-it').text('Обязательно для заполнения');
			postSubRegion.parent().show();
		}else{
			//postRegion.attr('disabled','disabled');
			postRegion.parent().hide();
			postRegion.siblings('.we-need-it').text('');
			postRegion.parent().removeClass('error');
			postSubRegion.parent().hide();
		}
		chngRegion();
	}
	postCountry.change( chngCountry );
	chngCountry();
	
	// Валидация перед отправкой формы
	appealsForm.submit(function(){
		
		validError = false;
		
		// Фамилия
		if( familyName.val().trim() == '' ){
			familyName.siblings('.we-need-it').text('Обязательно для заполнения');
			familyName.parent().addClass('error');
			validError = true;
		}else if( familyName.val().length > 250 ){
			familyName.siblings('.we-need-it').text('Слишком длинная строка');
			familyName.parent().addClass('error');
			validError = true;
		}else{
			familyName.siblings('.we-need-it').text('Обязательно для заполнения');
			familyName.parent().removeClass('error');			
		}
		// Имя
		if( firstName.val().trim() == '' ){
			firstName.siblings('.we-need-it').text('Обязательно для заполнения');
			firstName.parent().addClass('error');
			validError = true;
		}else if( firstName.val().length > 250 ){
			firstName.siblings('.we-need-it').text('Слишком длинная строка');
			firstName.parent().addClass('error');
			validError = true;
		}else{
			firstName.siblings('.we-need-it').text('Обязательно для заполнения');
			firstName.parent().removeClass('error');
		}
		// Телефон (Если не пустая строка и не соответствует шаблону)
		//var reg = /^\+?[a-zA-Z0-9\-().\s]{10,15}$/i;
		var reg = /^\+?[a-zA-Z0-9\-().\s]{10,17}$/i;
		if( phone.val().trim() != '' && !reg.test( phone.val().trim() ) ){
			phone.siblings('.we-need-it').text('Некорректный телефон');
			phone.parent().addClass('error');
			validError = true;
		}else{
			phone.siblings('.we-need-it').text('');
			phone.parent().removeClass('error');
		}
		// Емейл
		var reg = /^[A-Za-z0-9](([_\.\-]?[a-zA-Z0-9]+)*)@([A-Za-z0-9]+)(([\.\-]?[a-zA-Z0-9]+)*)\.([A-Za-z])+$/i;
		if( email.val().trim() == '' ){
			email.siblings('.we-need-it').text('Обязательно для заполнения');
			email.parent().addClass('error');
			validError = true;
		}else if( !reg.test( email.val().trim() ) ){
			email.siblings('.we-need-it').text('Некорректный e-mail');
			email.parent().addClass('error');
			validError = true;
		}else{
			email.siblings('.we-need-it').text('Обязательно для заполнения');
			email.parent().removeClass('error');
		}
		// Чекбоксы ответа
		if ( ansOnEmail.attr('checked') != 'checked' && ansOnPost.attr('checked') != 'checked' && ansOnSite.attr('checked') != 'checked' ){
			ansOnEmail.parent().siblings('.we-need-it').text('Выберите хотя бы один вариант');
			ansOnEmail.parent().parent().addClass('error');
			validError = true;		
		}else{
			ansOnEmail.parent().siblings('.we-need-it').text('');
			ansOnEmail.parent().parent().removeClass('error');
		}
		// Почтовая форма
        // ------------------------
		if( ansOnPost.attr('checked') == 'checked' ){
			// Индекс - Всегда нужен
			if( postZipCode.val().trim() == '' ){
				postZipCode.siblings('.we-need-it').text('Обязательно для заполнения');
				postZipCode.parent().addClass('error');
				validError = true;
			}else if( familyName.val().length < 6 ){
				postZipCode.siblings('.we-need-it').text('Слишком короткий индекс');
				postZipCode.parent().addClass('error');
				validError = true;
			}else if( postZipCode.val().length > 40 ){
				postZipCode.siblings('.we-need-it').text('Слишком длинный индекс');
				postZipCode.parent().addClass('error');
				validError = true;
			}else{
				postZipCode.siblings('.we-need-it').text('Обязательно для заполнения');
				postZipCode.parent().removeClass('error');			
			}
			if( postCountry.val() != 'RU' || ( postRegion.val() != 'г. Москва' && postRegion.val() != 'г. Санкт-Петербург' && postRegion.val() != 'г. Байконур' ) ){
				// Город
				if( postCity.val().trim() == '' ){
					postCity.siblings('.we-need-it').text('Обязательно для заполнения');
					postCity.parent().addClass('error');
					validError = true;
				}else if( postCity.val().length > 250 ){
					postCity.siblings('.we-need-it').text('Слишком длинная строка');
					postCity.parent().addClass('error');
					validError = true;
				}else{
					postCity.siblings('.we-need-it').text('Обязательно для заполнения');
					postCity.parent().removeClass('error');			
				}
			}
			// Улица - Всегда нужна
			if( postStreet.val().trim() == '' ){
				postStreet.siblings('.we-need-it').text('Обязательно для заполнения');
				postStreet.parent().addClass('error');
				validError = true;
			}else if( postStreet.val().length > 500 ){
				postStreet.siblings('.we-need-it').text('Слишком длинная строка');
				postStreet.parent().addClass('error');
				validError = true;
			}else{
				postStreet.siblings('.we-need-it').text('Обязательно для заполнения');
				postStreet.parent().removeClass('error');			
			}
		}
		
		// Текст сообщения
		if( appealText.val().trim() == '' ){
			appealText.siblings('label').children('.we-need-it').text('Обязательно для заполнения');
			appealText.parent().addClass('error');
			validError = true;
		}else if( appealText.val().length > 2000 ){
			appealText.siblings('label').children('.we-need-it').text('Слишком длинное сообщение. Ограничение 2000 символов');
			appealText.parent().addClass('error');
			validError = true;
		}else{
			appealText.siblings('label').children('.we-need-it').text('Обязательно для заполнения');
			appealText.parent().removeClass('error');			
		}
		
		// Прикрепленный файл
		var reg = /\.txt$|\.doc$|\.docx$|\.rtf$|\.xls$|\.xlsx$|\.pps$|\.ppt$|\.pptx$|\.pdf$|\.jpg$|\.jpeg$|\.bmp$|\.png$|\.gif$|\.tif$|\.tiff$|\.pcx$|\.mp3$|\.wma$|\.avi$|\.mp4$|\.mkv$|\.wmv$|\.mov$|\.flv$|\.zip$|\.rar$/i;
		if( appealAttachments.val().trim() != '' && !reg.test( appealAttachments.val().trim() ) ){
			appealAttachments.siblings('.we-need-it').text('Недопустиый формат файла');
			appealAttachments.parent().addClass('error');
			validError = true;
		}else{
			appealAttachments.siblings('.we-need-it').text('');
			appealAttachments.parent().removeClass('error');
		}
		
		//alert( appealAttachments.val() );
		
		if ( !validError ) return true;
		
		$('#form-errors-report').show(); //.css( {'border': '1px solid #cc0000', 'border-radius' : '3px'});
		// Не пашет, сука! $('#form-errors-report').animate({ backgroundColor: "#000000" }, 300);
		$(window).scrollTop(0);
		return false;						
	});
	}
	
});  